#!/usr/bin/env python

import time, os, sys

sys.path.append('/home/e-smith/files/ibays/surftrackr/html/')
os.environ['DJANGO_SETTINGS_MODULE'] = 'surftrackr.settings'

from surftrackr.log.models import *

basedir = '../media/thumbs/'
webdir  = '/media/thumbs/'

for w in Website.objects.filter(thumbnail__isnull=True):
    websitedir = w.top_level_site.name.replace('.', '/')

    if not os.path.isdir(basedir + websitedir):
        print basedir + websitedir
        try:
            os.makedirs(basedir + websitedir)
        except:
            print "Problem with: '" + basedir + websitedir + "'. Continuing."
            continue

    if not os.path.isfile(basedir + websitedir + '/' + w.name):
        print w.name
        os.system('./screenshot.sh' + ' "' + basedir + websitedir + '" "' + w.name + '"')
        w.thumbnail = webdir + websitedir + '/' + w.name + '.png'
        w.save()

